# List pull requests

Endpoint: GET /code/api/v1/repos/{repo_identifier}/pullreq
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

  - `state` (array)
    The state of the pull requests to include in the result.
    Enum: "closed", "merged", "open"

  - `source_repo_ref` (string)
    Source repository ref of the pull requests.

  - `source_branch` (string)
    Source branch of the pull requests.

  - `target_branch` (string)
    Target branch of the pull requests.

  - `query` (string)
    The substring by which the pull requests are filtered.

  - `created_by` (array)
    List of principal IDs who created pull requests.

  - `order` (string)
    The order of the output.
    Enum: "asc", "desc"

  - `sort` (string)
    The data by which the pull requests are sorted.
    Enum: "created", "edited", "merged", "number", "updated"

  - `created_lt` (integer)
    The result should contain only entries created before this timestamp (unix millis).

  - `created_gt` (integer)
    The result should contain only entries created after this timestamp (unix millis).

  - `updated_lt` (integer)
    The result should contain only entries updated before this timestamp (unix millis).

  - `updated_gt` (integer)
    The result should contain only entries updated after this timestamp (unix millis).

  - `exclude_description` (boolean)
    By providing this parameter the description would be excluded from the response.

  - `page` (integer)
    The page to return.

  - `limit` (integer)
    The maximum number of results to return.

  - `label_id` (array)
    List of label ids used to filter pull requests.

  - `value_id` (array)
    List of label value ids used to filter pull requests.

  - `author_id` (integer)
    Return only pull requests where this user is the author.

  - `commenter_id` (integer)
    Return only pull requests where this user has created at least one comment.

  - `mentioned_id` (integer)
    Return only pull requests where this user has been mentioned.

  - `reviewer_id` (integer)
    Return only pull requests where this user has been added as a reviewer.

  - `review_decision` (array)
    Require only this review decision of the reviewer. Requires reviewer_id parameter.
    Enum: "approved", "changereq", "pending", "reviewed"

  - `include_git_stats` (boolean)
    If true, the git diff stats would be included in the response.

  - `include_checks` (boolean)
    If true, the summary of check for the branch commit SHA would be included in the response.

  - `include_rules` (boolean)
    If true, a list of rules that apply to this branch would be included in the response.

## Path parameters:

  - `repo_identifier` (string, required)

## Response 200 fields (application/json):

  - `author` (object,null)

  - `author.created` (integer)

  - `author.display_name` (string)

  - `author.email` (string)

  - `author.id` (integer)

  - `author.type` (string)
    Enum: "service", "serviceaccount", "user"

  - `author.uid` (string)

  - `author.updated` (integer)

  - `check_summary` (object)

  - `check_summary.error` (integer)

  - `check_summary.failure` (integer)

  - `check_summary.pending` (integer)

  - `check_summary.running` (integer)

  - `check_summary.success` (integer)

  - `closed` (integer,null)

  - `created` (integer)

  - `description` (string)

  - `edited` (integer)

  - `is_draft` (boolean)

  - `labels` (array)

  - `labels.color` (string)
    Enum: "blue", "brown", "cyan", "green", "indigo", "lime", "mint", "orange", "pink", "purple", "red", "violet", "yellow"

  - `labels.id` (integer)

  - `labels.key` (string)

  - `labels.scope` (integer)

  - `labels.value` (string,null)

  - `labels.value_color` (string)
    Enum: "blue", "brown", "cyan", "green", "indigo", "lime", "mint", "orange", "pink", "purple", "red", "violet", "yellow"

  - `labels.value_count` (integer)

  - `labels.value_id` (integer,null)

  - `merge_base_sha` (string)

  - `merge_check_status` (string)

  - `merge_conflicts` (array)

  - `merge_method` (string)
    Enum: "fast-forward", "merge", "rebase", "squash"

  - `merge_target_sha` (string,null)

  - `merge_violations_bypassed` (boolean,null)

  - `merged` (integer,null)

  - `merger` (object,null)

  - `number` (integer)

  - `pullreq_type` (string,null)

  - `rebase_check_status` (string)

  - `rebase_conflicts` (array)

  - `rules` (array)

  - `rules.identifier` (string)

  - `rules.repo_path` (string)

  - `rules.space_path` (string)

  - `rules.state` (string,null)
    Enum: "active", "disabled", "monitor"

  - `rules.type` (string)
    Enum: "branch", "push", "tag"

  - `source_branch` (string)

  - `source_repo` (object)

  - `source_repo.default_branch` (string)

  - `source_repo.fork_id` (integer)

  - `source_repo.id` (integer)

  - `source_repo.identifier` (string)

  - `source_repo.parent_id` (integer)

  - `source_repo.path` (string)

  - `source_repo.type` (string)

  - `source_repo_id` (integer,null)

  - `source_sha` (string)

  - `state` (string)
    Enum: "closed", "merged", "open"

  - `stats` (object)

  - `stats.additions` (integer,null)

  - `stats.commits` (integer,null)

  - `stats.conversations` (integer)

  - `stats.deletions` (integer,null)

  - `stats.files_changed` (integer,null)

  - `stats.unresolved_count` (integer)

  - `substate` (string)
    Enum: "", "auto_merge", "merge_queue"

  - `target_branch` (string)

  - `target_repo_id` (integer)

  - `title` (string)

  - `updated` (integer)

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)


